%global _empty_manifest_terminate_build 0
Name:		python-vine
Version:	5.1.0
Release:	1
Summary:	Promises, promises, promises.
License:	BSD
URL:		http://github.com/celery/vine
Source0:	https://github.com/celery/vine/archive/refs/tags/v5.1.0.tar.gz
BuildArch:	noarch


%description
vine - Python Promises

%package -n python3-vine
Summary:	Promises, promises, promises.
Provides:	python-vine
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-vine


%package help
Summary:	Development documents and examples for vine
Provides:	python3-vine-doc
%description help


%prep
%autosetup -n vine-5.1.0

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-vine -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jun 4 2024 wuzhaomin <wuzhaomin@kylinos.cn> - 5.1.0-1
- Update package to version 5.1.0
- Add a bit of basic documentation by @Anthchirp in #36
- Fix typo in docblock by @ben-xo in #73
- Hotfix by @Nusnus in #86

* Sat Nov 21 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
